com.io7m.r2.core

## Class R2SceneLights

- java.lang.Object
- - com.io7m.r2.core.R2SceneLights

- All Implemented Interfaces:
    R2SceneLightsType

      public final class R2SceneLights
      extends Object
      implements R2SceneLightsType

  The default implementation of the `R2SceneLightsType` interface.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `lightsCount()`
    `void` | `lightsExecute(R2SceneLightsConsumerType c)` Batch the lights and pass them to the given consumer for rendering.
    `R2SceneLightsGroupType` | `lightsGetGroup(int group)` Get access to a numbered group.
    `void` | `lightsReset()` Remove all lights from the scene.
    `static R2SceneLightsType` | `newLights()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newLights

          public static R2SceneLightsType newLights()

      Returns:
        A new empty set of lights

    - #### lightsReset

          public void lightsReset()

      Description copied from interface: `R2SceneLightsType`
      Remove all lights from the scene.
      Specified by:
        `lightsReset` in interface `R2SceneLightsType`

    - #### lightsGetGroup

          public R2SceneLightsGroupType lightsGetGroup(int group)

      Description copied from interface: `R2SceneLightsType`
      Get access to a numbered group.
      Specified by:
        `lightsGetGroup` in interface `R2SceneLightsType`
      Parameters:
        `group` - The numbered group
      Returns:
        The group `group`

    - #### lightsExecute

          public void lightsExecute(R2SceneLightsConsumerType c)

      Description copied from interface: `R2SceneLightsType`
      Batch the lights and pass them to the given consumer for rendering.
      Specified by:
        `lightsExecute` in interface `R2SceneLightsType`
      Parameters:
        `c` - The consumer

    - #### lightsCount

          public long lightsCount()

      Specified by:
        `lightsCount` in interface `R2SceneLightsType`
      Returns:
        The number of lights in the scene

Copyright © 2016 <code@io7m.com> http://io7m.com